/*****************************************************************************
*
*   Analog Devices, Inc.
*   ADSP-BF537 EZ-Kit Lite
*   Networked Audio Server
*
******************************************************************************
*
*   File        :   queue.h
*
*   Description :   This file contains routines to handle queueing functions.
*
*                   
*
******************************************************************************
*   Revision History
******************************************************************************
*   date        rev     by      description
*-----------------------------------------------------------------------------
*   02.27.07    01.02h  KCK     Original release.
*****************************************************************************/
#ifndef _queue_H_
#define _queue_H_

typedef struct queueEntry_s
    {
    void *entry;
    struct queueEntry_s *next;
    } queueEntry_t;

typedef volatile struct queue_s
    {
    int size;
    int len;
    queueEntry_t *head;
    queueEntry_t *tail;
    } queue_t;

int     QueueInit(queue_t *, queueEntry_t *, int);
int     QueuePush(queue_t *, void *);
void    *QueuePop(queue_t *);

#endif /* _queue_H_ */
